Bug 1413889 - Kernel 4.9.3-200, AMD Graphics card fails to initialise: amdgpu 0000:02:00.0: Direct firmware load for amdgpu/tonga_k_smc.bin failed with error -2
Summary: Kernel 4.9.3-200, AMD Graphics card fails to initialise: amdgpu 0000:02:00.0:...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 09:11 UTC by Jens Tingleff
Modified: 2019-01-09 12:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-25 08:42:37 UTC
Type: Bug


Attachments (Terms of Use)
journalctl output from boot of kernel-4.9.4 + debug. (No display output.) (1.06 MB, text/plain)
2017-01-18 06:42 UTC, Jens Tingleff
no flags Details

Description Jens Tingleff 2017-01-17 09:11:33 UTC
Description of problem:

At boot, the display output goes away (screen enters standby). This is the first boot after auto update to 4.9.3

Intel Xeon, amd64 architecture, AMD R9 380 graphics card.

Actual results:

From journactl:

Jan 17 10:49:24 NewDesktop.localdomain kernel: amdgpu 0000:02:00.0: Direct firmware load for amdgpu/tonga_k_smc.bin failed with error -2
Jan 17 10:49:24 NewDesktop.localdomain kernel: [drm:amdgpu_cgs_get_firmware_info [amdgpu]] *ERROR* Failed to request firmware
Jan 17 10:49:24 NewDesktop.localdomain kernel: [ powerplay ] SMU Firmware start failed
Jan 17 10:49:24 NewDesktop.localdomain kernel: [ powerplay ] smc start failed
Jan 17 10:49:24 NewDesktop.localdomain kernel: [drm:amdgpu_device_init [amdgpu]] *ERROR* hw_init of IP block <amdgpu_powerplay> failed -22
Jan 17 10:49:24 NewDesktop.localdomain kernel: amdgpu 0000:02:00.0: amdgpu_init failed
Jan 17 10:49:24 NewDesktop.localdomain kernel: igb 0000:05:00.1: added PHC on eth1
Jan 17 10:49:24 NewDesktop.localdomain kernel: igb 0000:05:00.1: Intel(R) Gigabit Ethernet Network Connection
Jan 17 10:49:24 NewDesktop.localdomain kernel: igb 0000:05:00.1: eth1: (PCIe:5.0Gb/s:Width x4) 0c:c4:7a:da:b7:41
Jan 17 10:49:24 NewDesktop.localdomain kernel: igb 0000:05:00.1: eth1: PBA No: 050B00-000
Jan 17 10:49:24 NewDesktop.localdomain kernel: igb 0000:05:00.1: Using MSI-X interrupts. 8 rx queue(s), 8 tx queue(s)
Jan 17 10:49:24 NewDesktop.localdomain kernel: igb 0000:05:00.0 eno1: renamed from eth0
Jan 17 10:49:24 NewDesktop.localdomain kernel: [drm] amdgpu: ttm finalized
Jan 17 10:49:24 NewDesktop.localdomain kernel: amdgpu 0000:02:00.0: Fatal error during GPU init
Jan 17 10:49:24 NewDesktop.localdomain kernel: [drm] amdgpu: finishing device.
Jan 17 10:49:24 NewDesktop.localdomain kernel: [TTM] Memory type 2 has not been initialized


Jan 17 10:49:24 NewDesktop.localdomain kernel: ------------[ cut here ]------------
Jan 17 10:49:24 NewDesktop.localdomain kernel: WARNING: CPU: 3 PID: 449 at drivers/gpu/drm/ttm/ttm_page_alloc_dma.c:545 ttm_dma_free_pool+0xe7/0xf0 [ttm]
Jan 17 10:49:24 NewDesktop.localdomain kernel: Modules linked in: amdkfd amd_iommu_v2 amdgpu(+) 8021q garp stp llc mrp ast drm_kms_helper ttm crc32c_intel drm igb ptp pps_core nvme dca nvme_core
Jan 17 10:49:24 NewDesktop.localdomain kernel: CPU: 3 PID: 449 Comm: systemd-udevd Not tainted 4.9.3-200.fc25.x86_64 #1
Jan 17 10:49:24 NewDesktop.localdomain kernel: Hardware name: Supermicro Super Server/X10SRi-F, BIOS 2.0 12/17/2015
Jan 17 10:49:24 NewDesktop.localdomain kernel:  ffffc192840dfa00 ffffffff903f3ddd 0000000000000000 0000000000000000
Jan 17 10:49:24 NewDesktop.localdomain kernel:  ffffc192840dfa40 ffffffff900a202b 00000221840dfa10 ffffa0f99b0e5e40
Jan 17 10:49:24 NewDesktop.localdomain kernel:  ffffa0f99ab992d0 0000000000000008 000000000000000c ffffa0f9944ca800
Jan 17 10:49:24 NewDesktop.localdomain kernel: Call Trace:
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff903f3ddd>] dump_stack+0x63/0x86
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff900a202b>] __warn+0xcb/0xf0
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff900a215d>] warn_slowpath_null+0x1d/0x20
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffffc0503e47>] ttm_dma_free_pool+0xe7/0xf0 [ttm]
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffffc0503e69>] ttm_dma_pool_release+0x19/0x20 [ttm]
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff9054eab8>] release_nodes+0x128/0x230
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff9054ee2c>] devres_release_all+0x3c/0x60
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff9054a62b>] driver_probe_device+0xfb/0x430
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff9054aa3f>] __driver_attach+0xdf/0xf0
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff9054a960>] ? driver_probe_device+0x430/0x430
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff9054813c>] bus_for_each_dev+0x6c/0xc0
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff90549e9e>] driver_attach+0x1e/0x20
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff905498d0>] bus_add_driver+0x170/0x270
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffffc065a000>] ? 0xffffffffc065a000
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff9054b360>] driver_register+0x60/0xe0
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffffc065a000>] ? 0xffffffffc065a000
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff904484ac>] __pci_register_driver+0x4c/0x50
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffffc042c68b>] drm_pci_init+0xeb/0x100 [drm]
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffffc065a000>] ? 0xffffffffc065a000
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffffc065a095>] amdgpu_init+0x95/0xa8 [amdgpu]
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff90002190>] do_one_initcall+0x50/0x180
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff9022f2b9>] ? kmem_cache_alloc_trace+0x159/0x1b0
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff901c017a>] ? do_init_module+0x27/0x1ef
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff901c01b2>] do_init_module+0x5f/0x1ef
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff9012fe01>] load_module+0x25b1/0x2980
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff9012c6e0>] ? __symbol_put+0x60/0x60
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff90130343>] SYSC_init_module+0x173/0x190
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff9013047e>] SyS_init_module+0xe/0x10
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff90003c17>] do_syscall_64+0x67/0x180
Jan 17 10:49:24 NewDesktop.localdomain kernel:  [<ffffffff9081bcab>] entry_SYSCALL64_slow_path+0x25/0x25
Jan 17 10:49:24 NewDesktop.localdomain kernel: ---[ end trace a0fdd592c8829940 ]---
Jan 17 10:49:24 NewDesktop.localdomain kernel: amdgpu: probe of 0000:02:00.0 failed with error -22


Expected results:


Additional info:

Comment 1 Laura Abbott 2017-01-17 16:46:55 UTC
Moving this for the graphics team to take a look

Comment 2 Laura Abbott 2017-01-17 21:42:00 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=17314239 I pulled in a couple of 'low hanging' ATI graphics fixes to this build, can you please test this? This update will also be available in bodhi.

Comment 3 Jens Tingleff 2017-01-18 06:40:46 UTC
Thanks. But it still crashes, same symptom, similar looking error messages.

Comment 4 Jens Tingleff 2017-01-18 06:42:53 UTC
Created attachment 1242035 [details]
journalctl  output from boot of kernel-4.9.4 + debug. (No display output.)

Comment 5 Jens Tingleff 2017-01-25 08:42:37 UTC
No more problem after update to kernel 4.9.5-200


Note You need to log in before you can comment on or make changes to this bug.